com.holonplatform.vaadin7.spring.internal

## Class SecurityAnnotationsViewAccessControl

- java.lang.Object
- - com.holonplatform.vaadin7.spring.internal.SecurityAnnotationsViewAccessControl

- All Implemented Interfaces:
    com.vaadin.spring.access.ViewAccessControl, org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

      public class SecurityAnnotationsViewAccessControl
      extends Object
      implements com.vaadin.spring.access.ViewAccessControl, org.springframework.context.ApplicationContextAware

  A `ViewAccessControl` bean to check `View` authorization using `javax.annotation.security` annotations on View class (`RolesAllowed`, `PermitAll`, `DenyAll`) and relying on `AuthContext` to perform authorization control.

  An `AuthContext` instance must be available as `Context` resource in order to perform access control.

  Since:
    5.0.0
  See Also:
    `AuthContext.getCurrent()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityAnnotationsViewAccessControl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAccessGranted(com.vaadin.ui.UI ui, String beanName)`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityAnnotationsViewAccessControl

          public SecurityAnnotationsViewAccessControl()

  - ### Method Detail

    - #### setApplicationContext

          public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                                     throws org.springframework.beans.BeansException

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### isAccessGranted

          public boolean isAccessGranted(com.vaadin.ui.UI ui,
                                         String beanName)

      Specified by:
        `isAccessGranted` in interface `com.vaadin.spring.access.ViewAccessControl`

Copyright © 2019 The Holon Platform. All rights reserved.